# UriPathRouteInputProperty

The configuration for the URI path route type.

- Source: Generated at build time
- Type last changed: v2.93.0 · 23 Aug 2023

## Example

TypeScript:

```ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_refactorspaces as refactorspaces } from 'aws-cdk-lib';
const uriPathRouteInputProperty: refactorspaces.CfnRoute.UriPathRouteInputProperty = {
  activationState: 'activationState',

  // the properties below are optional
  appendSourcePath: false,
  includeChildPaths: false,
  methods: ['methods'],
  sourcePath: 'sourcePath',
};
```

Python:

```python
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_refactorspaces as refactorspaces

uri_path_route_input_property = refactorspaces.CfnRoute.UriPathRouteInputProperty(
    activation_state="activationState",

    # the properties below are optional
    append_source_path=False,
    include_child_paths=False,
    methods=["methods"],
    source_path="sourcePath"
)
```

Java:

```java
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.refactorspaces.*;

UriPathRouteInputProperty uriPathRouteInputProperty = UriPathRouteInputProperty.builder()
        .activationState("activationState")

        // the properties below are optional
        .appendSourcePath(false)
        .includeChildPaths(false)
        .methods(List.of("methods"))
        .sourcePath("sourcePath")
        .build();
```

C# / .NET:

```csharp
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.RefactorSpaces;

var uriPathRouteInputProperty = new UriPathRouteInputProperty {
    ActivationState = "activationState",

    // the properties below are optional
    AppendSourcePath = false,
    IncludeChildPaths = false,
    Methods = new [] { "methods" },
    SourcePath = "sourcePath"
};
```

Golang:

```go
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"

uriPathRouteInputProperty := &UriPathRouteInputProperty{
	ActivationState: jsii.String("activationState"),

	// the properties below are optional
	AppendSourcePath: jsii.Boolean(false),
	IncludeChildPaths: jsii.Boolean(false),
	Methods: []*string{
		jsii.String("methods"),
	},
	SourcePath: jsii.String("sourcePath"),
}
```

## Properties

- `activationState`: string (required) — If set to `ACTIVE` , traffic is forwarded to this route’s service after the route is created.

- `appendSourcePath`: boolean | [IResolvable](https://docs.aws.amazon.com/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) — If set to `true` , this option appends the source path to the service URL endpoint.

- `includeChildPaths`: boolean | [IResolvable](https://docs.aws.amazon.com/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) — Indicates whether to match all subpaths of the given source path.

  If this value is `false` , requests must match the source path exactly before they are forwarded to this route's service.

- `methods`: string[] — A list of HTTP methods to match.

  An empty list matches all values. If a method is present, only HTTP requests using that method are forwarded to this route’s service.

- `sourcePath`: string — This is the path that Refactor Spaces uses to match traffic.

  Paths must start with `/` and are relative to the base of the application. To use path parameters in the source path, add a variable in curly braces. For example, the resource path {user} represents a path parameter called 'user'.
